Bug 80891 - cvs2svn update to 1.2.1
Summary: cvs2svn update to 1.2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-05-11 13:30 UTC by Kay Abendroth
Modified: 2005-06-10 20:48 UTC (History)
0 users

See Also:


Attachments
file.diff (210 bytes, patch)
2005-05-11 13:30 UTC, Kay Abendroth
no flags Details | Diff
file.diff (390 bytes, patch)
2005-05-11 13:30 UTC, Kay Abendroth
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kay Abendroth 2005-05-11 13:30:22 UTC
Fix cvs2svn's dumpfile output to work after Subversion's r12645 (means Subversion release 1.1.3+).

Fix: PORTNAME=      cvs2svn
-PORTVERSION=   1.2.0
+PORTVERSION=   1.2.1
 CATEGORIES=    devel
-MASTER_SITES=  http://cvs2svn.tigris.org/files/documents/1462/19743/
+MASTER_SITES=  http://cvs2svn.tigris.org/files/documents/1462/20727/

 MAINTAINER=    jihuang@gate.sinica.edu.tw
 COMMENT=       CVS to Subversion Repository Converter
Comment 1 Thierry Thomas freebsd_committer 2005-05-11 21:20:41 UTC
State Changed
From-To: open->feedback


Asking for maintainer's approval. 

Note: the submitted patch does not apply cleanly, because tabs 
have been replaced by spaces; please consider the following one. 

--- cvs2svn.diff begins here --- 
diff -urN devel/cvs2svn.orig/Makefile devel/cvs2svn/Makefile 
--- devel/cvs2svn.orig/Makefile	Sat Feb  5 16:00:50 2005 
+++ devel/cvs2svn/Makefile	Wed May 11 22:13:47 2005 
@@ -5,9 +5,9 @@ 
# $FreeBSD: ports/devel/cvs2svn/Makefile,v 1.5 2005/02/02 16:40:59 clsung Exp $ 

PORTNAME=	cvs2svn 
-PORTVERSION=	1.2.0 
+PORTVERSION=	1.2.1 
CATEGORIES=	devel 
-MASTER_SITES=	http://cvs2svn.tigris.org/files/documents/1462/19743/ 
+MASTER_SITES=	http://cvs2svn.tigris.org/files/documents/1462/20727/ 

MAINTAINER=	jihuang@gate.sinica.edu.tw 
COMMENT=	CVS to Subversion Repository Converter 
diff -urN devel/cvs2svn.orig/distinfo devel/cvs2svn/distinfo 
--- devel/cvs2svn.orig/distinfo	Sat Feb  5 16:00:50 2005 
+++ devel/cvs2svn/distinfo	Wed May 11 22:12:23 2005 
@@ -1,2 +1,2 @@ 
-MD5 (cvs2svn-1.2.0.tar.gz) = 82f7ecff709eec624214accba64847e3 
-SIZE (cvs2svn-1.2.0.tar.gz) = 205317 
+MD5 (cvs2svn-1.2.1.tar.gz) = 6769d039bea9c6c468402d1e6cbc38e0 
+SIZE (cvs2svn-1.2.1.tar.gz) = 205214 
--- cvs2svn.diff ends here --- 



Comment 2 Thierry Thomas freebsd_committer 2005-05-11 21:20:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry


Take it.
Comment 3 Kay Abendroth 2005-05-12 10:43:35 UTC
The second patch doesn't work for me. Assuming patch-file is in
/usr/ports, the command 'patch < cvs2svn.diff' produces this output:

Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff -urN devel/cvs2svn.orig/Makefile devel/cvs2svn/Makefile
|--- devel/cvs2svn.orig/Makefile        Sat Feb  5 16:00:50 2005
|+++ devel/cvs2svn/Makefile     Wed May 11 22:13:47 2005
--------------------------
Patching file devel/cvs2svn/Makefile using Plan A...
patch: **** malformed patch at line 5: # $FreeBSD:
ports/devel/cvs2svn/Makefile,v 1.5 2005/02/02 16:40:59 clsung Exp $
Comment 4 Thierry Thomas freebsd_committer 2005-05-12 17:45:13 UTC
Le Jeu 12 mai 05 à 11:50:06 +0200, Kay Abendroth <kay.abendroth@gmail.com>
 écrivait :
> The following reply was made to PR ports/80891; it has been noted by GNATS.
> 
> From: Kay Abendroth <kay.abendroth@gmail.com>
> To: bug-followup@FreeBSD.org, kay.abendroth@gmail.com
> Cc:  
> Subject: Re: ports/80891: cvs2svn update to 1.2.1
> Date: Thu, 12 May 2005 11:43:35 +0200
> 
>  The second patch doesn't work for me. Assuming patch-file is in
>  /usr/ports, the command 'patch < cvs2svn.diff' produces this output:
>  
>  Hmm...  Looks like a unified diff to me...
>  The text leading up to this was:
>  --------------------------
>  |diff -urN devel/cvs2svn.orig/Makefile devel/cvs2svn/Makefile
>  |--- devel/cvs2svn.orig/Makefile        Sat Feb  5 16:00:50 2005
>  |+++ devel/cvs2svn/Makefile     Wed May 11 22:13:47 2005
>  --------------------------
>  Patching file devel/cvs2svn/Makefile using Plan A...
>  patch: **** malformed patch at line 5: # $FreeBSD:
>  ports/devel/cvs2svn/Makefile,v 1.5 2005/02/02 16:40:59 clsung Exp $

If it is located in /usr/ports, you have to enter
`patch -p0 < cvs2svn.diff'

Regards,
-- 
Th. Thomas.
Comment 5 Kay Abendroth 2005-05-17 14:36:13 UTC
For me only the following works (assuming I'm in /usr/ports executing
'patch < file'). There was no difference between 'patch -p0 ...' and
'patch ...'. I think the problem with Thierrys patch are the missing
spaces before (for example) 'PORTNAME=3D ...' and so on.


diff -urN devel/cvs2svn.orig/Makefile devel/cvs2svn/Makefile
--- devel/cvs2svn.orig/Makefile Thu May 12 09:08:39 2005
+++ devel/cvs2svn/Makefile      Tue May 17 12:58:18 2005
@@ -5,9 +5,9 @@
 # $FreeBSD: ports/devel/cvs2svn/Makefile,v 1.5 2005/02/02 16:40:59 clsung =
Exp $

 PORTNAME=3D      cvs2svn
-PORTVERSION=3D   1.2.0
+PORTVERSION=3D   1.2.1
 CATEGORIES=3D    devel
-MASTER_SITES=3D  http://cvs2svn.tigris.org/files/documents/1462/19743/
+MASTER_SITES=3D  http://cvs2svn.tigris.org/files/documents/1462/20727/

 MAINTAINER=3D    jihuang@gate.sinica.edu.tw
 COMMENT=3D       CVS to Subversion Repository Converter
diff -urN devel/cvs2svn.orig/distinfo devel/cvs2svn/distinfo
--- devel/cvs2svn.orig/distinfo Thu May 12 09:08:39 2005
+++ devel/cvs2svn/distinfo      Tue May 17 12:57:19 2005
@@ -1,2 +1,2 @@
-MD5 (cvs2svn-1.2.0.tar.gz) =3D 82f7ecff709eec624214accba64847e3
-SIZE (cvs2svn-1.2.0.tar.gz) =3D 205317
+MD5 (cvs2svn-1.2.1.tar.gz) =3D 6769d039bea9c6c468402d1e6cbc38e0
+SIZE (cvs2svn-1.2.1.tar.gz) =3D 205214
Comment 6 Kay Abendroth 2005-05-17 15:07:21 UTC
My last patch is bogus because of the bad formatting (gmail-webfrontend).
Comment 7 Kay Abendroth 2005-05-18 15:49:28 UTC
This one is really clean and works fine:
http://www.wsc.biz/patches/cvs2svn.patch


Kay
Comment 8 Thierry Thomas freebsd_committer 2005-06-10 20:47:56 UTC
State Changed
From-To: feedback->closed


Committed, thanks!